Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overweight Permit# 2020-02227, UID# 2791
App. Status: Expired

Valid: 05/14/2020 - 05/17/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2506 (05/13/2020)

Charge Cost Quantity Total
Non-Taxable
added 05/13/2020 1:57 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $30.00
Payment 05/13/2020$30.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantSteve M. Fischer - 05/13/2020 1:58 PM
c6d3219f489fa82bfa7519582ad0117c
71dc4782ef79ce42556d94fef5d313d0
 
#1 Permit Issuing OfficialRachel Grimm - 05/13/2020 2:01 PM
90fa4c59970f26f4fabf5a3c9d346886
c37687541ab23f9c57b295c3aced6eb8
 
Permit has been approved. All signatures have been obtained.